1. Packages
  2. Packages
  3. Azure Native
  4. API Docs
  5. edge
  6. ExecutionV2
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.25.0
published on Wednesday, Aug 5, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.25.0
published on Wednesday, Aug 5, 2026 by Pulumi

    ExecutionV2 Resource

    Uses Azure REST API version 2025-08-15-preview.

    Example Usage

    ExecutionV2s_CreateOrUpdate_MaximumSet

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var executionV2 = new AzureNative.Edge.ExecutionV2("executionV2", new()
        {
            ExecutionName = "abcde",
            ExtendedLocation = new AzureNative.Edge.Inputs.AzureResourceManagerCommonTypesExtendedLocationArgs
            {
                Name = "szjrwimeqyiue",
                Type = AzureNative.Edge.ExtendedLocationType.EdgeZone,
            },
            Properties = new AzureNative.Edge.Inputs.ExecutionV2PropertiesArgs
            {
                Specification = null,
                WorkflowVersionId = "embiuscnm",
            },
            ResourceGroupName = "rgconfigurationmanager",
            VersionName = "abcde",
            WorkflowName = "abcde",
        });
    
    });
    
    package main
    
    import (
    	edge "github.com/pulumi/pulumi-azure-native-sdk/edge/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := edge.NewExecutionV2(ctx, "executionV2", &edge.ExecutionV2Args{
    			ExecutionName: pulumi.String("abcde"),
    			ExtendedLocation: &edge.AzureResourceManagerCommonTypesExtendedLocationArgs{
    				Name: pulumi.String("szjrwimeqyiue"),
    				Type: pulumi.String(edge.ExtendedLocationTypeEdgeZone),
    			},
    			Properties: &edge.ExecutionV2PropertiesArgs{
    				Specification:     pulumi.Any(map[string]interface{}{}),
    				WorkflowVersionId: pulumi.String("embiuscnm"),
    			},
    			ResourceGroupName: pulumi.String("rgconfigurationmanager"),
    			VersionName:       pulumi.String("abcde"),
    			WorkflowName:      pulumi.String("abcde"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    pulumi {
      required_providers {
        azure-native = {
          source = "pulumi/azure-native"
        }
      }
    }
    
    resource "azure-native_edge_executionv2" "executionV2" {
      execution_name = "abcde"
      extended_location = {
        name = "szjrwimeqyiue"
        type = "EdgeZone"
      }
      properties = {
        specification       = {}
        workflow_version_id = "embiuscnm"
      }
      resource_group_name = "rgconfigurationmanager"
      version_name        = "abcde"
      workflow_name       = "abcde"
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.edge.ExecutionV2;
    import com.pulumi.azurenative.edge.ExecutionV2Args;
    import com.pulumi.azurenative.edge.inputs.AzureResourceManagerCommonTypesExtendedLocationArgs;
    import com.pulumi.azurenative.edge.inputs.ExecutionV2PropertiesArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var executionV2 = new ExecutionV2("executionV2", ExecutionV2Args.builder()
                .executionName("abcde")
                .extendedLocation(AzureResourceManagerCommonTypesExtendedLocationArgs.builder()
                    .name("szjrwimeqyiue")
                    .type("EdgeZone")
                    .build())
                .properties(ExecutionV2PropertiesArgs.builder()
                    .specification(Map.ofEntries(
                    ))
                    .workflowVersionId("embiuscnm")
                    .build())
                .resourceGroupName("rgconfigurationmanager")
                .versionName("abcde")
                .workflowName("abcde")
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const executionV2 = new azure_native.edge.ExecutionV2("executionV2", {
        executionName: "abcde",
        extendedLocation: {
            name: "szjrwimeqyiue",
            type: azure_native.edge.ExtendedLocationType.EdgeZone,
        },
        properties: {
            specification: {},
            workflowVersionId: "embiuscnm",
        },
        resourceGroupName: "rgconfigurationmanager",
        versionName: "abcde",
        workflowName: "abcde",
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    execution_v2 = azure_native.edge.ExecutionV2("executionV2",
        execution_name="abcde",
        extended_location={
            "name": "szjrwimeqyiue",
            "type": azure_native.edge.ExtendedLocationType.EDGE_ZONE,
        },
        properties={
            "specification": {},
            "workflow_version_id": "embiuscnm",
        },
        resource_group_name="rgconfigurationmanager",
        version_name="abcde",
        workflow_name="abcde")
    
    resources:
      executionV2:
        type: azure-native:edge:ExecutionV2
        properties:
          executionName: abcde
          extendedLocation:
            name: szjrwimeqyiue
            type: EdgeZone
          properties:
            specification: {}
            workflowVersionId: embiuscnm
          resourceGroupName: rgconfigurationmanager
          versionName: abcde
          workflowName: abcde
    

    Create ExecutionV2 Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ExecutionV2(name: string, args: ExecutionV2Args, opts?: CustomResourceOptions);
    @overload
    def ExecutionV2(resource_name: str,
                    args: ExecutionV2Args,
                    opts: Optional[ResourceOptions] = None)
    
    @overload
    def ExecutionV2(resource_name: str,
                    opts: Optional[ResourceOptions] = None,
                    resource_group_name: Optional[str] = None,
                    version_name: Optional[str] = None,
                    workflow_name: Optional[str] = None,
                    execution_name: Optional[str] = None,
                    extended_location: Optional[AzureResourceManagerCommonTypesExtendedLocationArgs] = None,
                    properties: Optional[ExecutionV2PropertiesArgs] = None)
    func NewExecutionV2(ctx *Context, name string, args ExecutionV2Args, opts ...ResourceOption) (*ExecutionV2, error)
    public ExecutionV2(string name, ExecutionV2Args args, CustomResourceOptions? opts = null)
    public ExecutionV2(String name, ExecutionV2Args args)
    public ExecutionV2(String name, ExecutionV2Args args, CustomResourceOptions options)
    
    type: azure-native:edge:ExecutionV2
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "azure-native_edge_execution_v2" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args ExecutionV2Args
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ExecutionV2Args
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ExecutionV2Args
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ExecutionV2Args
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ExecutionV2Args
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var executionV2Resource = new AzureNative.Edge.ExecutionV2("executionV2Resource", new()
    {
        ResourceGroupName = "string",
        VersionName = "string",
        WorkflowName = "string",
        ExecutionName = "string",
        ExtendedLocation = new AzureNative.Edge.Inputs.AzureResourceManagerCommonTypesExtendedLocationArgs
        {
            Name = "string",
            Type = "string",
        },
        Properties = new AzureNative.Edge.Inputs.ExecutionV2PropertiesArgs
        {
            Specification = "any",
            WorkflowVersionId = "string",
        },
    });
    
    example, err := edge.NewExecutionV2(ctx, "executionV2Resource", &edge.ExecutionV2Args{
    	ResourceGroupName: pulumi.String("string"),
    	VersionName:       pulumi.String("string"),
    	WorkflowName:      pulumi.String("string"),
    	ExecutionName:     pulumi.String("string"),
    	ExtendedLocation: &edge.AzureResourceManagerCommonTypesExtendedLocationArgs{
    		Name: pulumi.String("string"),
    		Type: pulumi.String("string"),
    	},
    	Properties: &edge.ExecutionV2PropertiesArgs{
    		Specification:     pulumi.Any("any"),
    		WorkflowVersionId: pulumi.String("string"),
    	},
    })
    
    resource "azure-native_edge_execution_v2" "executionV2Resource" {
      lifecycle {
        create_before_destroy = true
      }
      resource_group_name = "string"
      version_name        = "string"
      workflow_name       = "string"
      execution_name      = "string"
      extended_location = {
        name = "string"
        type = "string"
      }
      properties = {
        specification       = "any"
        workflow_version_id = "string"
      }
    }
    
    var executionV2Resource = new ExecutionV2("executionV2Resource", ExecutionV2Args.builder()
        .resourceGroupName("string")
        .versionName("string")
        .workflowName("string")
        .executionName("string")
        .extendedLocation(com.pulumi.azurenative.edge.inputs.AzureResourceManagerCommonTypesExtendedLocationArgs.builder()
            .name("string")
            .type("string")
            .build())
        .properties(ExecutionV2PropertiesArgs.builder()
            .specification("any")
            .workflowVersionId("string")
            .build())
        .build());
    
    execution_v2_resource = azure_native.edge.ExecutionV2("executionV2Resource",
        resource_group_name="string",
        version_name="string",
        workflow_name="string",
        execution_name="string",
        extended_location={
            "name": "string",
            "type": "string",
        },
        properties={
            "specification": "any",
            "workflow_version_id": "string",
        })
    
    const executionV2Resource = new azure_native.edge.ExecutionV2("executionV2Resource", {
        resourceGroupName: "string",
        versionName: "string",
        workflowName: "string",
        executionName: "string",
        extendedLocation: {
            name: "string",
            type: "string",
        },
        properties: {
            specification: "any",
            workflowVersionId: "string",
        },
    });
    
    type: azure-native:edge:ExecutionV2
    properties:
        executionName: string
        extendedLocation:
            name: string
            type: string
        properties:
            specification: any
            workflowVersionId: string
        resourceGroupName: string
        versionName: string
        workflowName: string
    

    ExecutionV2 Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ExecutionV2 resource accepts the following input properties:

    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    VersionName string
    The name of the WorkflowVersionV2.
    WorkflowName string
    Name of the workflow
    ExecutionName string
    The name of the ExecutionV2.
    ExtendedLocation Pulumi.AzureNative.Edge.Inputs.AzureResourceManagerCommonTypesExtendedLocation
    The complex type of the extended location.
    Properties Pulumi.AzureNative.Edge.Inputs.ExecutionV2Properties
    The resource-specific properties for this resource.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    VersionName string
    The name of the WorkflowVersionV2.
    WorkflowName string
    Name of the workflow
    ExecutionName string
    The name of the ExecutionV2.
    ExtendedLocation AzureResourceManagerCommonTypesExtendedLocationArgs
    The complex type of the extended location.
    Properties ExecutionV2PropertiesArgs
    The resource-specific properties for this resource.
    resource_group_name string
    The name of the resource group. The name is case insensitive.
    version_name string
    The name of the WorkflowVersionV2.
    workflow_name string
    Name of the workflow
    execution_name string
    The name of the ExecutionV2.
    extended_location object
    The complex type of the extended location.
    properties object
    The resource-specific properties for this resource.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    versionName String
    The name of the WorkflowVersionV2.
    workflowName String
    Name of the workflow
    executionName String
    The name of the ExecutionV2.
    extendedLocation AzureResourceManagerCommonTypesExtendedLocation
    The complex type of the extended location.
    properties ExecutionV2Properties
    The resource-specific properties for this resource.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    versionName string
    The name of the WorkflowVersionV2.
    workflowName string
    Name of the workflow
    executionName string
    The name of the ExecutionV2.
    extendedLocation AzureResourceManagerCommonTypesExtendedLocation
    The complex type of the extended location.
    properties ExecutionV2Properties
    The resource-specific properties for this resource.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    version_name str
    The name of the WorkflowVersionV2.
    workflow_name str
    Name of the workflow
    execution_name str
    The name of the ExecutionV2.
    extended_location AzureResourceManagerCommonTypesExtendedLocationArgs
    The complex type of the extended location.
    properties ExecutionV2PropertiesArgs
    The resource-specific properties for this resource.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    versionName String
    The name of the WorkflowVersionV2.
    workflowName String
    Name of the workflow
    executionName String
    The name of the ExecutionV2.
    extendedLocation Property Map
    The complex type of the extended location.
    properties Property Map
    The resource-specific properties for this resource.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ExecutionV2 resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.Edge.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version string
    The Azure API version of the resource.
    e_tag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    system_data object
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    eTag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    e_tag str
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    AzureResourceManagerCommonTypesExtendedLocation, AzureResourceManagerCommonTypesExtendedLocationArgs

    The complex type of the extended location.
    Name string
    The name of the extended location.
    Type string | Pulumi.AzureNative.Edge.ExtendedLocationType
    The type of the extended location.
    Name string
    The name of the extended location.
    Type string | ExtendedLocationType
    The type of the extended location.
    name string
    The name of the extended location.
    type string | "EdgeZone" | "CustomLocation"
    The type of the extended location.
    name String
    The name of the extended location.
    type String | ExtendedLocationType
    The type of the extended location.
    name string
    The name of the extended location.
    type string | ExtendedLocationType
    The type of the extended location.
    name str
    The name of the extended location.
    type str | ExtendedLocationType
    The type of the extended location.
    name String
    The name of the extended location.
    type String | "EdgeZone" | "CustomLocation"
    The type of the extended location.

    ExecutionV2Properties, ExecutionV2PropertiesArgs

    ExecutionV2 Properties
    Specification object
    ExecutionV2 specification
    WorkflowVersionId string
    Workflow version of ExecutionV2
    Specification interface{}
    ExecutionV2 specification
    WorkflowVersionId string
    Workflow version of ExecutionV2
    specification any
    ExecutionV2 specification
    workflow_version_id string
    Workflow version of ExecutionV2
    specification Object
    ExecutionV2 specification
    workflowVersionId String
    Workflow version of ExecutionV2
    specification any
    ExecutionV2 specification
    workflowVersionId string
    Workflow version of ExecutionV2
    specification Any
    ExecutionV2 specification
    workflow_version_id str
    Workflow version of ExecutionV2
    specification Any
    ExecutionV2 specification
    workflowVersionId String
    Workflow version of ExecutionV2

    ExecutionV2PropertiesResponse, ExecutionV2PropertiesResponseArgs

    ExecutionV2 Properties
    ProvisioningState string
    Provisioning state of resource
    Status Pulumi.AzureNative.Edge.Inputs.ExecutionV2StatusResponse
    Status of ExecutionV2
    Specification object
    ExecutionV2 specification
    WorkflowVersionId string
    Workflow version of ExecutionV2
    ProvisioningState string
    Provisioning state of resource
    Status ExecutionV2StatusResponse
    Status of ExecutionV2
    Specification interface{}
    ExecutionV2 specification
    WorkflowVersionId string
    Workflow version of ExecutionV2
    provisioning_state string
    Provisioning state of resource
    status object
    Status of ExecutionV2
    specification any
    ExecutionV2 specification
    workflow_version_id string
    Workflow version of ExecutionV2
    provisioningState String
    Provisioning state of resource
    status ExecutionV2StatusResponse
    Status of ExecutionV2
    specification Object
    ExecutionV2 specification
    workflowVersionId String
    Workflow version of ExecutionV2
    provisioningState string
    Provisioning state of resource
    status ExecutionV2StatusResponse
    Status of ExecutionV2
    specification any
    ExecutionV2 specification
    workflowVersionId string
    Workflow version of ExecutionV2
    provisioning_state str
    Provisioning state of resource
    status ExecutionV2StatusResponse
    Status of ExecutionV2
    specification Any
    ExecutionV2 specification
    workflow_version_id str
    Workflow version of ExecutionV2
    provisioningState String
    Provisioning state of resource
    status Property Map
    Status of ExecutionV2
    specification Any
    ExecutionV2 specification
    workflowVersionId String
    Workflow version of ExecutionV2

    ExecutionV2StatusResponse, ExecutionV2StatusResponseArgs

    ExecutionV2 Status
    StageHistory List<Pulumi.AzureNative.Edge.Inputs.StageStatusResponse>
    target resource statuses
    Status int
    Deployment status
    StatusMessage string
    status details
    UpdateTime string
    The lastModified timestamp of the Status
    StageHistory []StageStatusResponse
    target resource statuses
    Status int
    Deployment status
    StatusMessage string
    status details
    UpdateTime string
    The lastModified timestamp of the Status
    stage_history list(object)
    target resource statuses
    status number
    Deployment status
    status_message string
    status details
    update_time string
    The lastModified timestamp of the Status
    stageHistory List<StageStatusResponse>
    target resource statuses
    status Integer
    Deployment status
    statusMessage String
    status details
    updateTime String
    The lastModified timestamp of the Status
    stageHistory StageStatusResponse[]
    target resource statuses
    status number
    Deployment status
    statusMessage string
    status details
    updateTime string
    The lastModified timestamp of the Status
    stage_history Sequence[StageStatusResponse]
    target resource statuses
    status int
    Deployment status
    status_message str
    status details
    update_time str
    The lastModified timestamp of the Status
    stageHistory List<Property Map>
    target resource statuses
    status Number
    Deployment status
    statusMessage String
    status details
    updateTime String
    The lastModified timestamp of the Status

    ExtendedLocationResponse, ExtendedLocationResponseArgs

    The complex type of the extended location.
    Name string
    The name of the extended location.
    Type string
    The type of the extended location.
    Name string
    The name of the extended location.
    Type string
    The type of the extended location.
    name string
    The name of the extended location.
    type string
    The type of the extended location.
    name String
    The name of the extended location.
    type String
    The type of the extended location.
    name string
    The name of the extended location.
    type string
    The type of the extended location.
    name str
    The name of the extended location.
    type str
    The type of the extended location.
    name String
    The name of the extended location.
    type String
    The type of the extended location.

    ExtendedLocationType, ExtendedLocationTypeArgs

    EdgeZone
    EdgeZone Azure Edge Zones location type
    CustomLocation
    CustomLocation Azure Custom Locations type
    ExtendedLocationTypeEdgeZone
    EdgeZone Azure Edge Zones location type
    ExtendedLocationTypeCustomLocation
    CustomLocation Azure Custom Locations type
    "EdgeZone"
    EdgeZone Azure Edge Zones location type
    "CustomLocation"
    CustomLocation Azure Custom Locations type
    EdgeZone
    EdgeZone Azure Edge Zones location type
    CustomLocation
    CustomLocation Azure Custom Locations type
    EdgeZone
    EdgeZone Azure Edge Zones location type
    CustomLocation
    CustomLocation Azure Custom Locations type
    EDGE_ZONE
    EdgeZone Azure Edge Zones location type
    CUSTOM_LOCATION
    CustomLocation Azure Custom Locations type
    "EdgeZone"
    EdgeZone Azure Edge Zones location type
    "CustomLocation"
    CustomLocation Azure Custom Locations type

    StageStatusResponse, StageStatusResponseArgs

    Result of Stage execution
    ErrorMessage string
    Error message
    Inputs object
    The inputs of the StageHistory, Inputs holds a key-value map of user-defined parameters for the initial stage
    IsActive string
    whether this stage is active or inactive
    Nextstage string
    Next stage
    Outputs object
    The outputs of the StageHistory, it is different as the different input stages.
    Stage string
    Current stage
    Status int
    Deployment status
    StatusMessage string
    Status message
    ErrorMessage string
    Error message
    Inputs interface{}
    The inputs of the StageHistory, Inputs holds a key-value map of user-defined parameters for the initial stage
    IsActive string
    whether this stage is active or inactive
    Nextstage string
    Next stage
    Outputs interface{}
    The outputs of the StageHistory, it is different as the different input stages.
    Stage string
    Current stage
    Status int
    Deployment status
    StatusMessage string
    Status message
    error_message string
    Error message
    inputs any
    The inputs of the StageHistory, Inputs holds a key-value map of user-defined parameters for the initial stage
    is_active string
    whether this stage is active or inactive
    nextstage string
    Next stage
    outputs any
    The outputs of the StageHistory, it is different as the different input stages.
    stage string
    Current stage
    status number
    Deployment status
    status_message string
    Status message
    errorMessage String
    Error message
    inputs Object
    The inputs of the StageHistory, Inputs holds a key-value map of user-defined parameters for the initial stage
    isActive String
    whether this stage is active or inactive
    nextstage String
    Next stage
    outputs Object
    The outputs of the StageHistory, it is different as the different input stages.
    stage String
    Current stage
    status Integer
    Deployment status
    statusMessage String
    Status message
    errorMessage string
    Error message
    inputs any
    The inputs of the StageHistory, Inputs holds a key-value map of user-defined parameters for the initial stage
    isActive string
    whether this stage is active or inactive
    nextstage string
    Next stage
    outputs any
    The outputs of the StageHistory, it is different as the different input stages.
    stage string
    Current stage
    status number
    Deployment status
    statusMessage string
    Status message
    error_message str
    Error message
    inputs Any
    The inputs of the StageHistory, Inputs holds a key-value map of user-defined parameters for the initial stage
    is_active str
    whether this stage is active or inactive
    nextstage str
    Next stage
    outputs Any
    The outputs of the StageHistory, it is different as the different input stages.
    stage str
    Current stage
    status int
    Deployment status
    status_message str
    Status message
    errorMessage String
    Error message
    inputs Any
    The inputs of the StageHistory, Inputs holds a key-value map of user-defined parameters for the initial stage
    isActive String
    whether this stage is active or inactive
    nextstage String
    Next stage
    outputs Any
    The outputs of the StageHistory, it is different as the different input stages.
    stage String
    Current stage
    status Number
    Deployment status
    statusMessage String
    Status message

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    created_at string
    The timestamp of resource creation (UTC).
    created_by string
    The identity that created the resource.
    created_by_type string
    The type of identity that created the resource.
    last_modified_at string
    The timestamp of resource last modification (UTC)
    last_modified_by string
    The identity that last modified the resource.
    last_modified_by_type string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:edge:ExecutionV2 oojcidijeira /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Edge/workflows/{workflowName}/versions/{versionName}/executions/{executionName} 
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.25.0
    published on Wednesday, Aug 5, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial